import { MockAdapter } from '@/mock/mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'
const Random = Mock.Random;

// 获取应用数据
mock.onGet('v7/app-index-viewappmenu').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status, {
        name: 'appmenu',
        items:  [
            {
	id: 'A20112C0-6FC7-48FC-B14C-24C66A924503',
	name: 'user_menus',
	text: '用户菜单',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '用户菜单',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
            {
	id: '70669C0B-37A4-4121-95D8-DCCB0827F20D',
	name: 'top_menus',
	text: '顶部菜单',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '顶部菜单',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: '72EF9A96-DED9-4262-8219-3212E7A332B6',
	name: 'menuitem15',
	text: '系统设置',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '系统设置',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-cog',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: '2EC2E657-B9FB-4ABF-B936-97222E18BB74',
	name: 'menuitem21',
	text: '文档类型',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '文档类型',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-file',
	icon: '',
	textcls: '',
	appfunctag: '_18',
	resourcetag: '',
},
		{
	id: '0F6F0CEA-5965-4D70-AD5E-F149819CAA76',
	name: 'menuitem16',
	text: '服务等级',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '服务等级',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-server',
	icon: '',
	textcls: '',
	appfunctag: '_16',
	resourcetag: '',
},
		{
	id: '7C4D180A-5AC9-451E-A7BE-969707F6E5E9',
	name: 'menuitem17',
	text: '维护申请类型',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '维护申请类型',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-legal',
	icon: '',
	textcls: '',
	appfunctag: '_5',
	resourcetag: '',
},
		{
	id: '736DEC4C-072F-49B9-AAD5-C8B13A10B55C',
	name: 'menuitem19',
	text: '工单类型',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '工单类型',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-legal',
	icon: '',
	textcls: '',
	appfunctag: '_7',
	resourcetag: '',
},
	],
},
	],
},
            {
	id: '7428CF1E-09D0-477F-838B-3CB98A776FBA',
	name: 'left_exp',
	text: '左侧菜单',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '左侧菜单',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: '8739EFEE-ED1F-40E0-9BDB-438466E895D7',
	name: 'menuitem1',
	text: '功能位置',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '功能位置',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-navicon',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: '83E50A95-6762-4A67-9052-69DE75A60E3B',
	name: 'menuitem6',
	text: '功能位置状态',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '功能位置状态',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-life-ring',
	icon: '',
	textcls: '',
	appfunctag: '_10',
	resourcetag: '',
},
		{
	id: 'E3BFAB38-B5C1-487A-B68B-61F6EF513C58',
	name: 'menuitem7',
	text: '功能位置状态模型',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '功能位置状态模型',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-cube',
	icon: '',
	textcls: '',
	appfunctag: '_9',
	resourcetag: '',
},
		{
	id: '6B6D828E-5B2A-4DF2-B437-0DDD328DAD7D',
	name: 'menuitem8',
	text: '功能位置类型',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '功能位置类型',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-legal',
	icon: '',
	textcls: '',
	appfunctag: '_12',
	resourcetag: '',
},
		{
	id: '6E2E7A7B-EDEF-460B-84A7-A2777BDD996E',
	name: 'menuitem9',
	text: '功能位置',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '功能位置',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-navicon',
	icon: '',
	textcls: '',
	appfunctag: '_15',
	resourcetag: '',
},
	],
},
		{
	id: '78652037-98D2-48D1-8600-4DBFCD9243F0',
	name: 'menuitem2',
	text: '资产管理',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '资产管理',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-rocket',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: 'F78D316F-28EB-49D9-AFD1-B34393D208BD',
	name: 'menuitem10',
	text: '资产状态',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '资产状态',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-life-ring',
	icon: '',
	textcls: '',
	appfunctag: '_3',
	resourcetag: '',
},
		{
	id: '209538AE-367C-4976-A2A7-5C40C622BF7F',
	name: 'menuitem11',
	text: '资产状态模型',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '资产状态模型',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-cube',
	icon: '',
	textcls: '',
	appfunctag: '_4',
	resourcetag: '',
},
		{
	id: '6EC21D36-D7FB-4684-8448-DACEFCE5B0A5',
	name: 'menuitem12',
	text: '资产类型',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '资产类型',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-legal',
	icon: '',
	textcls: '',
	appfunctag: '_14',
	resourcetag: '',
},
		{
	id: '4E96FE14-1C7E-4C47-8FDE-444B19EAB2A5',
	name: 'menuitem13',
	text: '资产管理',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '资产管理',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-rocket',
	icon: '',
	textcls: '',
	appfunctag: '_13',
	resourcetag: '',
},
		{
	id: '5AF50A95-EA23-4E22-B354-FFA3CBD58356',
	name: 'menuitem22',
	text: '文档',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '文档',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-files-o',
	icon: '',
	textcls: '',
	appfunctag: '_2',
	resourcetag: '',
},
		{
	id: 'D457B927-86B5-4607-B8D6-6774ACF2D8E8',
	name: 'menuitem14',
	text: '备件包',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '备件包',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-instagram',
	icon: '',
	textcls: '',
	appfunctag: '_8',
	resourcetag: '',
},
	],
},
		{
	id: '4803F5BD-7CF9-4A67-BCA6-DCB022B56291',
	name: 'menuitem4',
	text: '工单管理',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '工单管理',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-file-word-o',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: '5FD0497E-7F0C-4AFA-931A-64FECFAD6B0D',
	name: 'menuitem3',
	text: '维护申请',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '维护申请',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-share-square',
	icon: '',
	textcls: '',
	appfunctag: '_11',
	resourcetag: '',
},
		{
	id: '885534EC-341F-4B11-A754-A23EDEF10B24',
	name: 'menuitem18',
	text: '工单',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '工单',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-file-word-o',
	icon: '',
	textcls: '',
	appfunctag: '_6',
	resourcetag: '',
},
	],
},
		{
	id: '38802802-F256-487F-B526-7E2A58541A6C',
	name: 'menuitem5',
	text: '维护计划',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '维护计划',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-calendar',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: '248932F0-F1F3-4B4F-B1B1-21C82C74A217',
	name: 'menuitem20',
	text: '维护计划',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '维护计划',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-calendar',
	icon: '',
	textcls: '',
	appfunctag: '_17',
	resourcetag: '',
},
	],
},
	],
},
        ],
    }];
});

